SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001780SiT!schedulerpublic2012-03-29 13:172012-07-07 18:10
Reporterpete 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.65 LTS 
Target Version3.66 LTSFixed in Version3.66 LTS 
Summary0001780: changing "closure_delay" parameter do nothing with CloseIncidents action within auto.php
DescriptionTypo in lib/functions.inc.php prevents from passing closure_delay parameter into auto.php
Steps To ReproduceSetting closure_delay to something less than 554400 (the default value in auto.php) would not shorten "Waiting" list.
Also it would eventually result in appearing "Awaiting closure" incidents in the "Action required" list. There would be incidents with lastupdated time between $now-554400 and $now-$closure_delay
Additional InformationI beleive the following patch for ./lib/functions.inc.php would resolve the issue:

@@ -5997,7 +5997,7 @@
     {
         while ($action = mysql_fetch_object($result))
         {
- $actions[$action->action] = $actions->params;
+ $actions[$action->action] = $action->params;
         }
     }

@@ -6014,7 +6014,7 @@
     {
         while ($action = mysql_fetch_object($result))
         {
- $actions[$action->action] = $actions->params;
+ $actions[$action->action] = $action->params;
         }
     }

@@ -6033,7 +6033,7 @@
     {
         while ($action = mysql_fetch_object($result))
         {
- $actions[$action->action] = $actions->params;
+ $actions[$action->action] = $action->params;
         }
     }

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004478)
ivan (administrator)
2012-05-05 15:57

Patch applied in svn r7510 - many thanks.

- Issue History
Date Modified Username Field Change
2012-03-29 13:17 pete New Issue
2012-05-05 15:55 ivan Assigned To => ivan
2012-05-05 15:55 ivan Status new => confirmed
2012-05-05 15:55 ivan Status confirmed => assigned
2012-05-05 15:55 ivan Target Version => 3.66 LTS
2012-05-05 15:57 ivan Note Added: 0004478
2012-05-05 15:57 ivan Status assigned => resolved
2012-05-05 15:57 ivan Fixed in Version => Current SVN
2012-05-05 15:57 ivan Resolution open => fixed
2012-07-06 14:13 Tomse Fixed in Version Current SVN => 3.66 LTS
2012-07-07 18:10 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker